ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Peter Reilly" <peter.kitt.rei...@gmail.com>
Subject Re: ant / <javac> with jdk 5
Date Fri, 30 Mar 2007 08:57:09 GMT
On 3/30/07, Rebhan, Gilbert <Gilbert.Rebhan@huk-coburg.de> wrote:
>
> Hi,
>
> our deployment env right now =
>
> Win2003 Server, Ant 1.6.5, jdk1.4.2_08
>
> Soon we have to support projects, that
> run under / must be compiled for java 5 also
>
> We' ll have a mix of projects for jdk 1.4
> and jdk 5 then.
>
> I'm looking for the most simple solution
> to support both java versions, means
> if possible avoiding two different workflows ...
>
>
> Questions =
>
> Is it possible to use Ant 1.6.5 with java 5 and
> use <javac target="1.4"> ?
Yes,
however it is better to specify source as well.
I normally specify debug as wee, otherwise all line number
infromation is stripped.
<javac source="1.4" target="1.4" debug="yes">
</javac>

>
> Does it work as expected, when running those classes with jre1.4 ?
Yes,
unless you use methods that only exist in java 5.

>
> Is it better to switch to Ant 1.7.0 when running under jdk 5 ?
It should not make a difference,
however a huge number of bugs have been fixed between ant 1.6.5 and ant 1.7.

Peter

>
>
> Regards, Gilbert
>
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: user-unsubscribe@ant.apache.org
> For additional commands, e-mail: user-help@ant.apache.org
>
>

---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@ant.apache.org
For additional commands, e-mail: user-help@ant.apache.org


Mime
View raw message